package cn.ibizlab.api.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[PayTradeDTO]
 */
@Data
public class PayTradeDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [TRADEID]
     *
     */
    @JSONField(name = "trade_id")
    @JsonProperty("trade_id")
    private String tradeId;

    /**
     * 属性 [TRADENAME]
     *
     */
    @JSONField(name = "trade_name")
    @JsonProperty("trade_name")
    private String tradeName;

    /**
     * 属性 [SUBJECT]
     *
     */
    @JSONField(name = "subject")
    @JsonProperty("subject")
    private String subject;

    /**
     * 属性 [OUTTRADENO]
     *
     */
    @JSONField(name = "out_trade_no")
    @JsonProperty("out_trade_no")
    private String outTradeNo;

    /**
     * 属性 [TOTALAMOUNT]
     *
     */
    @JSONField(name = "total_amount")
    @JsonProperty("total_amount")
    private String totalAmount;

    /**
     * 属性 [ACCESSID]
     *
     */
    @JSONField(name = "access_id")
    @JsonProperty("access_id")
    private String accessId;

    /**
     * 属性 [ACCESSNAME]
     *
     */
    @JSONField(name = "access_name")
    @JsonProperty("access_name")
    private String accessName;

    /**
     * 属性 [APPID]
     *
     */
    @JSONField(name = "app_id")
    @JsonProperty("app_id")
    private String appId;


    /**
     * 设置 [TRADENAME]
     */
    public void setTradeName(String  tradeName){
        this.tradeName = tradeName ;
        this.modify("tradename",tradeName);
    }

    /**
     * 设置 [SUBJECT]
     */
    public void setSubject(String  subject){
        this.subject = subject ;
        this.modify("subject",subject);
    }

    /**
     * 设置 [OUTTRADENO]
     */
    public void setOutTradeNo(String  outTradeNo){
        this.outTradeNo = outTradeNo ;
        this.modify("outtradeno",outTradeNo);
    }

    /**
     * 设置 [TOTALAMOUNT]
     */
    public void setTotalAmount(String  totalAmount){
        this.totalAmount = totalAmount ;
        this.modify("totalamount",totalAmount);
    }

    /**
     * 设置 [ACCESSID]
     */
    public void setAccessId(String  accessId){
        this.accessId = accessId ;
        this.modify("accessid",accessId);
    }

    /**
     * 设置 [ACCESSNAME]
     */
    public void setAccessName(String  accessName){
        this.accessName = accessName ;
        this.modify("accessname",accessName);
    }

    /**
     * 设置 [APPID]
     */
    public void setAppId(String  appId){
        this.appId = appId ;
        this.modify("appid",appId);
    }


}

